@if (componentData$ | async; as componentData) {
  <div class="flex-row full-width">
    <div class="view-title-wrapper flex-row">
      <div class="view-title">
        {{
          'sqtm-core.campaign-workspace.test-plan-execution.title' | translate
        }}
      </div>
      @if (shouldShowResetFilterLink(activeFilters$ | async)) {
        <div>
          <sqtm-core-reset-filters-link
            (resetFiltersLinkPressed)="resetFilters()"
          ></sqtm-core-reset-filters-link>
        </div>
      }
    </div>
    @if (componentData.milestonesAllowModification) {
      <div class="flex-fixed-size font-20-px m-auto panel-buttons">
        @if (this.referentialDataService.isPremiumPluginInstalled$ | async) {
          <sqtm-core-toggle-icon
            [active]="true"
            (clickedInActiveMode)="showAvailableFilters()"
          >
            <i
              [attr.data-test-toolbar-button-id]="'open-widget-column-button'"
              nz-icon
              #iconColumnElement
              nzType="sqtm-core-generic:columns"
              class="action-icon-size custom-icon"
              nzTheme="outline"
              nz-tooltip="{{
                'sqtm-core.grid.columns' | translate | capitalize
              }}"
            >
            </i>
          </sqtm-core-toggle-icon>
        }
        @if (componentData.permissions.canWrite) {
          <sqtm-core-toggle-icon
            [active]="hasSelectedRows$ | async"
            (clickedInActiveMode)="openMassEditDialog()"
          >
            <i
              nz-icon
              nzType="sqtm-core-generic:bulk_edition"
              nzTheme="outline"
              nz-tooltip
              [nzTooltipTitle]="
                'sqtm-core.search.generic.modify.selection' | translate
              "
              class="action-icon-size"
              [attr.data-test-button-id]="'mass-edit'"
            ></i>
          </sqtm-core-toggle-icon>
        }
        @if (componentData.permissions.canLink) {
          <div class="buttons-separator"></div>
        }
        @if (componentData.permissions.canLink) {
          <i
            nz-icon
            nzType="sqtm-core-generic:add"
            nzTheme="outline"
            nz-tooltip
            [nzTooltipTitle]="
              'sqtm-core.generic.label.associate.test-case' | translate
            "
            class="current-workspace-button action-icon-size"
            [attr.data-test-button-id]="'show-test-case-picker'"
            (click)="toggleTestCasePickerDrawer()"
          >
          </i>
        }
        @if (componentData.permissions.canLink) {
          <a
            nz-dropdown
            [attr.data-test-button-id]="'search'"
            [nzDropdownMenu]="searchMenu"
          >
            <i
              nz-icon
              nzType="sqtm-core-tree:search"
              nzTheme="outline"
              class="current-workspace-button action-icon-size"
            >
            </i>
          </a>
        }
        <nz-dropdown-menu #searchMenu="nzDropdownMenu">
          <ul nz-menu [attr.data-test-menu-id]="'search-menu'">
            <li
              nz-menu-item
              [attr.data-test-menu-item-id]="'search-testcase'"
              [routerLink]="[
                '/search/test-case/campaign/',
                componentData.campaign.id
              ]"
            >
              {{
                'sqtm-core.campaign-workspace.test-plan-execution.search-testcases'
                  | translate
              }}
            </li>
            <li
              nz-menu-item
              [attr.data-test-menu-item-id]="'search-tc-by-requirement'"
              [routerLink]="[
                '/search/test-case/campaign/',
                componentData.campaign.id,
                'coverage'
              ]"
            >
              {{
                'sqtm-core.campaign-workspace.test-plan-execution.search-testcases-by-coverage'
                  | translate
              }}
            </li>
          </ul>
        </nz-dropdown-menu>
        @if (componentData.permissions.canLink) {
          <sqtm-core-toggle-icon
            [active]="hasSelectedRows$ | async"
            (clickedInActiveMode)="showMassDeleteCtpiDialog()"
          >
            <i
              nz-icon
              nzType="sqtm-core-generic:unlink"
              nzTheme="outline"
              class="action-icon-size"
              [attr.data-test-button-id]="'show-confirm-mass-delete-dialog'"
              nz-tooltip
              nzTooltipPlacement="topRight"
              [nzTooltipTitle]="
                'sqtm-core.campaign-workspace.test-plan-execution.delete.label'
                  | translate
              "
            ></i>
          </sqtm-core-toggle-icon>
        }
      </div>
    }
  </div>
  <div
    #content
    class="full-width overflow-hidden flex-column sqtm-large-grid-container p-10"
    style="flex-grow: 1"
    [sqtmCoreDraggableDropZone]="dropZoneId"
    (drop)="dropIntoTestPlan($event)"
    [attr.data-test-element-id]="dropZoneId"
    (dragEnter)="dragEnter($event)"
    (dragLeave)="dragLeave($event)"
    (dragCancel)="dragCancel()"
  >
    <sqtm-core-grid
      class="full-width full-height sqtm-core-prevent-selection-in-grid"
    ></sqtm-core-grid>
  </div>
  <sqtm-core-drawer
    [localTheme]="testCaseWorkspace"
    [titleKey]="'sqtm-core.tree-picker.test-case.title'"
    [isVisible]="componentData.campaign.uiState.openTestCaseTreePicker"
    (close)="toggleTestCasePickerDrawer()"
    [backgroundColor]="'neutral'"
  >
    <i
      projection="icons"
      nz-icon
      nzType="sqtm-core-generic:help"
      nzTheme="fill"
      class="m-l-10 font-20-px current-workspace-main-color"
      nz-tooltip
      [nzTooltipTitle]="'sqtm-core.tree-picker.iteration.test-case' | translate"
    ></i>
    @if (componentData.campaign.uiState.openTestCaseTreePicker) {
      <sqtm-core-test-case-picker
        [pickerPersistenceKey]="'add-test-case-to-execution-plan'"
      >
      </sqtm-core-test-case-picker>
    }
  </sqtm-core-drawer>
}
